epiunwarp(1)

NAME
epiunwarp - Unwarp Echo Planar Images

SYNOPSIS
epiunwarp InputImage1 InputImage2 OutputImage1 OutputImage2 OutputDField OutputDFieldRev

DESCRIPTION
Correct B0 field inhomogeneity-induced distortion in Echo Planar Images (e.g., diffusion-weighted images) using two images acquired with opposing phase encoding directions.

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Input Image Parameters

--phase-encode
    Define the phase-encoded image coordinate direction. Supported values: "phase-encode-ap", "phase-encode-is", "phase-encode-lr", where the default is "phase-encode-ap", or use one of the following:

    --phase-encode-ap, -y
        Anterior/posterior phase encoding (this is the most common case) [This is the default]

    --phase-encode-is, -z
        Top/bottom phase encoding (this is rare)

    --phase-encode-lr, -x
        Lateral, left/right phase encoding (this is extremely rare)

--no-flip
    Use this switch is the reverse phase-encoded image does not need to be flipped prior to unwarping. If normal and reverse phase-encoded image display in the same gross orientation in 'triplanar', then flipping is not necessary and must be turned off using this switch.

  Optimization Parameters

--no-init-shift-com
    Disable initialization of unwarping by shifting each row to align the centers of mass of forward and reverse acquisition. Instead, use all-zero initial deformation field.

--smooth-sigma-max <double>
    Maximum image smoothing kernel width for coarsest level of multi-scale computation. [Default: 8]

--smooth-sigma-min <double>
    Minimum image smoothing kernel width for finest level of multi-scale computation (0 = no smoothing; original image scale). [Default: 0]

--smooth-sigma-diff <double>
    Difference between image smoothing kernel widths between two successive levels of the multi-scale computation. [Default: 0.25]

--smoothness-constraint-weight <double>
    Weight factor for the second-order smoothness constraint term in the unwarping cost function. [Default: 0]

--folding-constraint-weight <double>
    Weight factor for the folding-prevention constraint term in the unwarping cost function. [Default: 0]

--iterations <integer>, -i <integer>
    Number of L-BFGS optimization iterations (per multi-scale level). [Default: 10]

  Output Options

--write-jacobian-fwd <string>
    Write Jacobian intensity correction map for forward image. [Default: NONE]

--write-jacobian-rev <string>
    Write Jacobian intensity correction map for reverse-encoded image. [Default: NONE]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.